#pragma once

#define SYSCALL_BRK 12
#define SYSCALL_IOCTL 16
#define SYSCALL_WRITEV 20

typedef long (*syscall_handler)(long, long, long, long, long, long);

// lib/musl-glue.c
syscall_handler set_syscall_handler(long num, syscall_handler handler);

// drivers/terminal/terminal.c
long k_ioctl(long fd, long cmd, long arg3, long, long, long);
long k_writev(long fd, long iov, long iovcnt, long, long, long);

// memory/kbrk.c
long k_brk(long brk, long, long, long, long, long);